package com.mortals.xhx.module.pay.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.pay.model.vo.PayRequstVo;
import lombok.Data;
/**
* 支付请求实体对象
*
* @author zxfei
* @date 2024-12-12
*/
@Data
public class PayRequstEntity extends PayRequstVo {
    private static final long serialVersionUID = 1L;

    /**
    * 申请ID
    */
    private Long applyId;
    /**
    * 打印队列ID
    */
    private Long printQueueId;
    /**
    * 支付订单编号
    */
    private String orderNum;
    /**
    * 订单金额(单位:分)
    */
    private Integer amount;
    /**
    * 订单日期
    */
    private Date orderDate;
    /**
    * 支付二维码
    */
    private String qrcodeUrl;
    /**
    * 二维码有效时间单位秒
    */
    private Integer payExpire;
    /**
    * 支付状态
    */
    private Integer payStatus;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PayRequstEntity) {
            PayRequstEntity tmp = (PayRequstEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.applyId = null;
            this.printQueueId = null;
            this.orderNum = "";
            this.amount = 0;
            this.orderDate = null;
            this.qrcodeUrl = "";
            this.payExpire = 0;
            this.payStatus = 0;
    }
}